// COpciones.cpp. Implementación de la clase COpciones

#include "stdafx.h"
#include "resource.h"
#include "COpciones.h"
#include "windowsx.h"
#include <direct.h>

COpciones::Inicializar()
{
	char buffer[_MAX_PATH];

	// Inicializo los atributos de la clase
	margenmay = 5;
	margenmen = 5;
	maxptos = 25;
	margenumbral = 5;
	numvecinos = 2;
	umbral_inf = 10;
	umbral_sup = 10;
	factor_penal = 5;
	contraste = 0;
	umbralizada = 1;
	contorno = 1;
	grafica = 1;

	// Obtengo el directorio de trabajo
	_getcwd(buffer, _MAX_PATH);
	workdir = CString(buffer);
	dir = workdir + "\\Vistas";

	if (chdir(dir) != 0)
	{
		// Creamos el directorio
		_mkdir(dir);
	}

	usuario = "jorgito";
	contrasena = "123";
	database = "JORGEDB";
}
